public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-python/bidict/
Date: Fri, 28 Apr 2023 17:52:43 +0000 (UTC)	[thread overview]
Message-ID: <1682660798.d9b371e10c2b2077b7baf0c53b9fb56e378ed633.arthurzam@gentoo> (raw)

commit:     d9b371e10c2b2077b7baf0c53b9fb56e378ed633
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Fri Apr 28 05:07:35 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Apr 28 05:46:38 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d9b371e1

dev-python/bidict: add 0.22.1

Closes: https://bugs.gentoo.org/884595
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/bidict/Manifest             |  1 +
 dev-python/bidict/bidict-0.22.1.ebuild | 44 ++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/bidict/Manifest b/dev-python/bidict/Manifest
index a70125f71..9b32625ac 100644
--- a/dev-python/bidict/Manifest
+++ b/dev-python/bidict/Manifest
@@ -1 +1,2 @@
 DIST bidict-0.22.0.tar.gz 197969 BLAKE2B 511bea446922c959c7ab2c42fadfe63dc486f9b8f4d060779048195ed02344c36819be917716be6773e2173aa9dbd9e5452e747ee325db6ee92057644789653e SHA512 28384e1f63413023c00c199558eb49298c146602a676226d995aa01ccb0f9a6958750f4e34637d0823d659a092e74bb0ce4d75969d105312f73f5e692d9f82af
+DIST bidict-0.22.1.gh.tar.gz 181134 BLAKE2B aa8606d2d48da1f8a4756bcaf450527c867f67fe284a95299df54b3c711d28d60b869a41d4494f16580c37f197263918bdd9e3d2c6bc347497caa85b4b4dd425 SHA512 c85355125fa0a56c8e763e9c2662be52ca753827d06276adcbe60d87265095e7e59669ec1e4bf3361301a3ae942a9aa47b084f8c3a4a066041d54e353e7b2ea8

diff --git a/dev-python/bidict/bidict-0.22.1.ebuild b/dev-python/bidict/bidict-0.22.1.ebuild
new file mode 100644
index 000000000..36d9abe14
--- /dev/null
+++ b/dev-python/bidict/bidict-0.22.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="The bidirectional mapping library for Python"
+HOMEPAGE="
+	https://pypi.org/project/bidict/
+	https://github.com/jab/bidict
+"
+SRC_URI="https://github.com/jab/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+	test? (
+		dev-python/hypothesis[${PYTHON_USEDEP}]
+		dev-python/sortedcontainers[${PYTHON_USEDEP}]
+		dev-python/sortedcollections[${PYTHON_USEDEP}]
+	)
+"
+
+DOCS=( {CHANGELOG,README,SECURITY}.rst )
+
+EPYTEST_IGNORE=( tests/test_microbenchmarks.py )
+
+distutils_enable_tests pytest
+
+distutils_enable_sphinx docs \
+	dev-python/furo
+
+src_prepare() {
+	default
+
+	sed -i pytest.ini \
+		-e "/--numprocesses/d" \
+		-e "/--benchmark/d" || die
+}


             reply	other threads:[~2023-04-28 17:52 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-04-28 17:52 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07 13:38 [gentoo-commits] repo/proj/guru:master commit in: dev-python/bidict/ David Roman
2024-09-07 13:38 David Roman
2023-12-31 15:40 David Roman
2022-06-06 16:28 Florian Schmaus
2022-04-08  2:43 Ronny Gutbrod
2021-10-20  8:18 Florian Schmaus
2021-08-16 19:04 Jian Lin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1682660798.d9b371e10c2b2077b7baf0c53b9fb56e378ed633.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox